| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Private Attributes

# IG::Neural::DataMapperSimple Class Reference

Inheritance diagram for IG::Neural::DataMapperSimple:
[legend]
Collaboration diagram for IG::Neural::DataMapperSimple:
[legend]

List of all members.

## Public Member Functions
| DataMapperSimple (MappingDefinition definition, InputOutputDataDefiniton dataDefinition)
| DataMapperSimple (string mappingDefinitionFilePath, string dataDefinitionPath)
override void | MapInput (IVector reducedInput, ref IVector originalInput)
  | Transfer elements from reducedInput vector to original output vector using mapping data for reference. Elements that are not defined in reducedInput vector are copied from definitiondata. Parameters:
  reducedInput | Reduced elements.
  originalInput | Original elements for neural network testing.
$A Igor Jul 19; tako78 Jul 19.
override void | MapOutput (IVector originalOutput, ref IVector reducedOutput)
  | Transfer elements from originalOutput vector to original output vector using mapping data for reference. Only defined elements are copied in reducedOutput vector. Parameters:
  originalOutput | Original elements from neural network.
  reducedOutput | Reduced elements.
$A Igor Jul 19; tako78 Jul 19.
## Protected Member Functions
| DataMapperSimple ()
## Properties
MappingDefinition | MappingDefinition`[get, set]`
InputOutputDataDefiniton | DataDefinition`[get, set]`
## Private Attributes
MappingDefinition | _mappingDefinition
InputOutputDataDefiniton | _dataDefinition

## Detailed Description

## Constructor & Destructor Documentation

IG::Neural::DataMapperSimple::DataMapperSimple | ( |  | ) | `[inline, protected]`

IG::Neural::DataMapperSimple::DataMapperSimple | ( | MappingDefinition | definition,
|  | InputOutputDataDefiniton | dataDefinition
| ) |  | `[inline]`

Parameters:

  definition | Data that defines how input and output mappings are performed. If null then identity mapping is performed.
  dataDefinition | Definition data.

$A Igor Jul 19; tako78 Jul 19

IG::Neural::DataMapperSimple::DataMapperSimple | ( | string | mappingDefinitionFilePath,
|  | string | dataDefinitionPath
| ) |  | `[inline]`

Parameters:

  mappingDefinitionFilePath | JSON file containing data that defines how input and output mappings are performed. If null then identity mapping is performed.

Exceptions:

  NotImplementedException | When file path is not specified or file does not exist.

$A Igor Jul 19; tako78 Jul 19

## Member Function Documentation

override void IG::Neural::DataMapperSimple::MapInput | ( | IVector | reducedInput,
|  | ref IVector | originalInput
| ) |  | `[inline]`

Transfer elements from reducedInput vector to original output vector using mapping data for reference. Elements that are not defined in reducedInput vector are copied from definitiondata.

Parameters:

  reducedInput | Reduced elements.
  originalInput | Original elements for neural network testing.

$A Igor Jul 19; tako78 Jul 19.

Implements IG::Neural::IDataMapper.

override void IG::Neural::DataMapperSimple::MapOutput | ( | IVector | originalOutput,
|  | ref IVector | reducedOutput
| ) |  | `[inline]`

Transfer elements from originalOutput vector to original output vector using mapping data for reference. Only defined elements are copied in reducedOutput vector.

Parameters:

  originalOutput | Original elements from neural network.
  reducedOutput | Reduced elements.

$A Igor Jul 19; tako78 Jul 19.

Implements IG::Neural::IDataMapper.

## Member Data Documentation

MappingDefinition IG::Neural::DataMapperSimple::_mappingDefinition`[private]`

InputOutputDataDefiniton IG::Neural::DataMapperSimple::_dataDefinition`[private]`

## Property Documentation

MappingDefinition IG::Neural::DataMapperSimple::MappingDefinition`[get, set]`

InputOutputDataDefiniton IG::Neural::DataMapperSimple::DataDefinition`[get, set]`

The documentation for this class was generated from the following file:

- NeuralMapData.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events